"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.compileCardComponent = void 0;
/** @jsx h */
const he_1 = __importDefault(require("he"));
const js_yaml_1 = __importDefault(require("js-yaml"));
const vhtml_1 = __importDefault(require("vhtml"));
/**
 *
 * @param {Cheerio} $el
 */
function compileCardComponent($el) {
    /**
     * @type {IPageMetadata}
     */
    let meta = {};
    const dataMeta = $el.find('pre[data-template]').html();
    if (dataMeta) {
        meta = js_yaml_1.default.safeLoad(he_1.default.decode(dataMeta)) || {};
    }
    meta.url = $el.attr('href');
    $el.attr({
        rel: 'noreferrer nofollow noopener',
        target: '_blank',
        'data-html': ($el.html() || '')
            .replace(/<template>.+?<\/template>/gs, '')
            .trim(),
        class: Array.from(new Set([
            ...($el.attr('class') || '').split(' '),
            ...'tw-flex tw-m-4 tw-p-4 tw-shadow-lg tw-flex-row'.split(' '),
        ])).join(' '),
    });
    const imgHtml = meta.image ? (vhtml_1.default("div", { className: "tw-mr-4 tw-flex tw-items-center tw-content-center tw-overflow-hidden", style: "width: 100px;" },
        vhtml_1.default("img", { className: "tw-h-auto", src: meta.image, alt: meta.title || meta.url, style: "width: 100px;" }))) : ('');
    $el.html(imgHtml +
        (vhtml_1.default("div", null,
            meta.title ? (vhtml_1.default("h3", { className: "tw-text-blue-700", style: "margin-block-start: 0; margin-bottom: 0;" }, meta.title)) : (vhtml_1.default("h4", { className: "tw-text-blue-700", style: "margin-block-start: 0; margin-bottom: 0;" }, meta.url)),
            meta.description ? (vhtml_1.default("div", { className: "tw-mt-3" }, meta.description)) : null)));
}
exports.compileCardComponent = compileCardComponent;
//# sourceMappingURL=card.js.map