"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.metadataParser = void 0;
const axios_1 = __importDefault(require("axios"));
const domino_1 = __importDefault(require("domino"));
const page_metadata_parser_1 = require("page-metadata-parser");
function metadataParser(url) {
    return __awaiter(this, void 0, void 0, function* () {
        const r = yield axios_1.default.get(url, {
            transformResponse: (d) => d,
        });
        const doc = domino_1.default.createWindow(r.data).document;
        const { image, title, description } = yield page_metadata_parser_1.getMetadata(doc, url);
        return {
            image,
            title,
            description,
        };
    });
}
exports.metadataParser = metadataParser;
//# sourceMappingURL=metadata-parser.js.map